import 'source-map-support/register';
import { Context } from 'koishi';
import { YGOTournamentPlugin } from './plugin';
import { YGOTournamentPluginConfig } from './config';
export * from './config';
export * from './plugin';

declare module 'koishi' {
  interface Modules {
    ygotournament: typeof import('.');
  }
}

export const name = 'ygotournament';
const plugin = new YGOTournamentPlugin();
export const Config = plugin.schema;
export const using = ['cache'];
export function apply(ctx: Context, config: YGOTournamentPluginConfig) {
  ctx.plugin(plugin, config);
}
